package cn.reghao.tnb.content.app.geo.model.po;

import cn.reghao.jutil.jdk.db.BaseObject;
import cn.reghao.tnb.content.api.dto.geo.MallReplyDto;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author reghao
 * @date 2023-08-31 16:56:17
 */
@NoArgsConstructor
@AllArgsConstructor
@Setter
@Getter
public class MallReply extends BaseObject<Integer> {
    private Integer itemType;
    private String itemId;
    private String replyId;
    private String replyContent;
    private String appendContent;
    private String extra;
    private String cup;
    private String username;
    private String avatarUrl;

    public MallReply(MallReplyDto mallReplyDto) {
        this.itemType = mallReplyDto.getItemType();
        this.itemId = mallReplyDto.getItemId();
        this.replyId = mallReplyDto.getReplyId();
        this.replyContent = mallReplyDto.getReplyContent();
        this.appendContent = mallReplyDto.getAppendContent();
        this.extra = mallReplyDto.getExtra();
        this.username = mallReplyDto.getUsername();
        this.avatarUrl = mallReplyDto.getAvatarUrl();
    }
}
